org.apache.olingo.odata2.client.core.edm.Impl

## Class EdmAnnotationAttributeImpl

- java.lang.Object
- - org.apache.olingo.odata2.client.core.edm.Impl.EdmAnnotationAttributeImpl

- All Implemented Interfaces:
    EdmAnnotationAttribute

      public class EdmAnnotationAttributeImpl
      extends Object
      implements EdmAnnotationAttribute

  Objects of this class represent an annotation attribute

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdmAnnotationAttributeImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Get the name of the custom attribute
    `String` | `getNamespace()` Get the namespace of the custom attribute
    `String` | `getPrefix()` Get the prefix of the custom attribute
    `String` | `getText()` Get the text of the custom attribute
    `EdmAnnotationAttributeImpl` | `setName(String name)` Sets the name for this `EdmAnnotationAttributeImpl`.
    `EdmAnnotationAttributeImpl` | `setNamespace(String namespace)` Sets the namespace for this `EdmAnnotationAttributeImpl`.
    `EdmAnnotationAttributeImpl` | `setPrefix(String prefix)` Sets the prefix for this `EdmAnnotationAttributeImpl`.
    `EdmAnnotationAttributeImpl` | `setText(String text)` Sets the text for this `EdmAnnotationAttributeImpl`.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EdmAnnotationAttributeImpl

          public EdmAnnotationAttributeImpl()

  - ### Method Detail

    - #### getNamespace

          public String getNamespace()

      Description copied from interface: `EdmAnnotationAttribute`
      Get the namespace of the custom attribute
      Specified by:
        `getNamespace` in interface `EdmAnnotationAttribute`
      Returns:
        String

    - #### getPrefix

          public String getPrefix()

      Description copied from interface: `EdmAnnotationAttribute`
      Get the prefix of the custom attribute
      Specified by:
        `getPrefix` in interface `EdmAnnotationAttribute`
      Returns:
        String

    - #### getName

          public String getName()

      Description copied from interface: `EdmAnnotationAttribute`
      Get the name of the custom attribute
      Specified by:
        `getName` in interface `EdmAnnotationAttribute`
      Returns:
        String

    - #### getText

          public String getText()

      Description copied from interface: `EdmAnnotationAttribute`
      Get the text of the custom attribute
      Specified by:
        `getText` in interface `EdmAnnotationAttribute`
      Returns:
        String

    - #### setNamespace

          public EdmAnnotationAttributeImpl setNamespace(String namespace)

      Sets the namespace for this `EdmAnnotationAttributeImpl`.
      Parameters:
        `namespace` -
      Returns:
        `EdmAnnotationAttributeImpl` for method chaining

    - #### setPrefix

          public EdmAnnotationAttributeImpl setPrefix(String prefix)

      Sets the prefix for this `EdmAnnotationAttributeImpl`.
      Parameters:
        `prefix` -
      Returns:
        `EdmAnnotationAttributeImpl` for method chaining

    - #### setName

          public EdmAnnotationAttributeImpl setName(String name)

      Sets the name for this `EdmAnnotationAttributeImpl`.
      Parameters:
        `name` -
      Returns:
        `EdmAnnotationAttributeImpl` for method chaining

    - #### setText

          public EdmAnnotationAttributeImpl setText(String text)

      Sets the text for this `EdmAnnotationAttributeImpl`.
      Parameters:
        `text` -
      Returns:
        `EdmAnnotationAttributeImpl` for method chaining

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.